Index: /palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ocean_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/ocean_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3614 2018-12-10 07:05:46Z raasch
 ! unused variables removed
 ! 
@@ -64,12 +67,7 @@
  
 
-#if defined( __nopointer )
-    USE arrays_3d,                                                             &
-        ONLY:  prho, rho_ocean, sa, sa_init, sa_p, tsa_m
-#else
     USE arrays_3d,                                                             &
         ONLY:  prho, prho_1, rho_ocean, rho_1, sa, sa_init, sa_1, sa_2, sa_3,  &
                sa_p, tsa_m
-#endif
 
     USE control_parameters,                                                    &
@@ -1175,11 +1173,4 @@
     IMPLICIT NONE
 
-#if defined( __nopointer )
-    ALLOCATE( prho(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              rho_ocean(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                        &
-              sa(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                               &
-              sa_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              tsa_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
     ALLOCATE( prho_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
               rho_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                            &
@@ -1194,7 +1185,5 @@
     rho_ocean  => rho_1  ! routines calc_mean_profile and diffusion_e require
                          ! density to be a pointer
-#endif
-
-#if ! defined( __nopointer )
+
 !
 !-- Initial assignment of pointers
@@ -1204,5 +1193,4 @@
        sa => sa_1;  sa_p => sa_1;  tsa_m => sa_3
     ENDIF
-#endif
 
  END SUBROUTINE ocean_init_arrays
@@ -1786,10 +1774,5 @@
     INTEGER, INTENT(IN) ::  mod_count  !< flag defining where pointers point to
 
-#if defined( __nopointer )
-
-    sa = sa_p
-
-#else
-    
+
     SELECT CASE ( mod_count )
 
@@ -1805,6 +1788,4 @@
 
     END SELECT
-
-#endif
 
  END SUBROUTINE ocean_swap_timelevel
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3592 2018-12-03 12:38:40Z suehring
 ! Number of coupled arrays is determined dynamically (instead of a fixed value
 ! of 32)
@@ -328,14 +331,8 @@
 
 
-#if defined( __nopointer )
-    USE arrays_3d,                                                             &
-        ONLY:  diss, dzu, dzw, e, e_p, nc, nr, pt, q, qc, qr, s, u, u_p,       &
-               v, v_p, w, w_p, zu, zw
-#else
    USE arrays_3d,                                                              &
         ONLY:  diss, diss_2, dzu, dzw, e, e_p, e_2, nc, nc_2, nc_p, nr, nr_2,  &
                pt, pt_2, q, q_2, qc, qc_2, qr, qr_2, s, s_2,                   &
                u, u_p, u_2, v, v_p, v_2, w, w_p, w_2, zu, zw
-#endif
 
     USE control_parameters,                                                    &
@@ -3771,26 +3768,4 @@
 !    IF ( TRIM(name) == "z0" )    p_2d => z0
 
-#if defined( __nopointer )
-    IF ( ASSOCIATED( p_3d ) )  THEN
-       CALL pmc_s_set_dataarray( child_id, p_3d, nz_cl, nz )
-    ELSEIF ( ASSOCIATED( p_2d ) )  THEN
-       CALL pmc_s_set_dataarray( child_id, p_2d )
-    ELSEIF ( ASSOCIATED( i_2d ) )  THEN
-       CALL pmc_s_set_dataarray( child_id, i_2d )
-    ELSE
-!
-!--    Give only one message for the root domain
-       IF ( myid == 0  .AND.  cpl_id == 1 )  THEN
-
-          message_string = 'pointer for array "' // TRIM( name ) //            &
-                           '" can''t be associated'
-          CALL message( 'pmci_set_array_pointer', 'PA0117', 3, 2, 0, 6, 0 )
-       ELSE
-!
-!--       Avoid others to continue
-          CALL MPI_BARRIER( comm2d, ierr )
-       ENDIF
-    ENDIF
-#else
     IF ( TRIM(name) == "u"    )  p_3d_sec => u_2
     IF ( TRIM(name) == "v"    )  p_3d_sec => v_2
@@ -3829,5 +3804,4 @@
 
    ENDIF
-#endif
 
 #endif
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3636)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3633 2018-12-17 16:17:57Z schwenkel
 ! Include check for rrtmg files
 ! 
@@ -4862,10 +4865,10 @@
      REAL(wp)                          :: area_hor           !< total horizontal area of domain in all processor
 
-#if ! defined( __nopointer )
+
      IF ( plant_canopy )  THEN
          pchf_prep(:) = r_d * exner(nzub:nzut)                                 &
                      / (c_p * hyp(nzub:nzut) * dx*dy*dz(1)) !< equals to 1 / (rho * c_p * Vbox * T)
      ENDIF
-#endif
+
      sun_direction = .TRUE.
      CALL calc_zenith  !< required also for diffusion radiation
Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 3636)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3630 2018-12-17 11:04:17Z knoop
 ! - Moved the control parameter "salsa" from salsa_mod.f90 to control_parameters
 ! - Updated salsa_rrd_local and salsa_wrd_local
@@ -935,8 +938,5 @@
 !
 !-- Allocate prognostic variables (see salsa_swap_timelevel)
-#if defined( __nopointer )
-    message_string = 'SALSA runs only with POINTER Version'
-    CALL message( 'salsa_mod: salsa_init_arrays', 'SA0023', 1, 2, 0, 6, 0 )
-#else         
+
 !
 !-- Set derived indices:
@@ -1160,6 +1160,4 @@
     ENDIF
     
-#endif
-
  END SUBROUTINE salsa_init_arrays
 
@@ -1958,13 +1956,5 @@
     INTEGER(iwp) ::  g  !<
 
-!
-!-- Example for prognostic variable "prog_var"
-#if defined( __nopointer )
-    IF ( myid == 0 )  THEN
-       message_string =  ' SALSA runs only with POINTER Version'
-       CALL message( 'salsa_swap_timelevel', 'SA0022', 1, 2, 0, 6, 0 )
-    ENDIF
-#else
-    
+
     SELECT CASE ( mod_count )
 
@@ -2020,5 +2010,4 @@
 
     END SELECT
-#endif
 
  END SUBROUTINE salsa_swap_timelevel
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 3635)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3589 2018-11-30 15:09:51Z suehring
 ! Move the control parameter "salsa" from salsa_mod to control_parameters 
 ! (M. Kurppa)
@@ -142,9 +145,4 @@
  
 
-#if defined( __nopointer )
-    USE arrays_3d,                                                             &
-        ONLY:  nc, nc_p, nr, nr_p, pt, pt_p, q, q_p, qc, qc_p, qr, qr_p, s,    &
-               s_p, sa, sa_p, u, u_p, v, v_p, w, w_p
-#else
     USE arrays_3d,                                                             &
         ONLY:  nc, nc_1, nc_2, nc_p, nr, nr_1, nr_2, nr_p, pt, pt_1, pt_2,     &
@@ -152,5 +150,4 @@
                qr_p, s, s_1, s_2, s_p, sa, sa_1, sa_2, sa_p, u, u_1, u_2, u_p, &
                v, v_1, v_2, v_p, w, w_1, w_2, w_p
-#endif
 
     USE bulk_cloud_model_mod,                                                  &
@@ -170,9 +167,4 @@
     USE gust_mod,                                                              &
         ONLY: gust_module_enabled, gust_swap_timelevel
-
-#if defined( __nopointer )
-    USE indices,                                                               &
-        ONLY:  nxlg, nxrg, nyng, nysg, nzb, nzt
-#endif
 
     USE land_surface_model_mod,                                                &
@@ -197,7 +189,4 @@
     IMPLICIT NONE
 
-#if defined( __nopointer )
-    INTEGER ::  i, j, k     !> loop indices
-#endif
     INTEGER ::  swap_level  !> swap_level for steering the pmc data transfer
 
@@ -208,35 +197,4 @@
 !
 !-- Swap of variables
-#if defined( __nopointer )
-    CALL cpu_log( log_point(28), 'swap_timelevel (nop)', 'start' )
-
-    DO  i = nxlg, nxrg
-       DO  j = nysg, nyng
-          DO  k = nzb, nzt+1
-             u(k,j,i)  = u_p(k,j,i)
-             v(k,j,i)  = v_p(k,j,i)
-             w(k,j,i)  = w_p(k,j,i)
-             pt(k,j,i) = pt_p(k,j,i)
-          ENDDO
-       ENDDO
-    ENDDO
-
-    IF ( humidity )  THEN
-       q = q_p
-    ENDIF
-
-    IF ( passive_scalar )  s = s_p             
-
-!
-!-- Swapping the timelevel of other modules
-    IF ( humidity  .AND.  bulk_cloud_model )  CALL bcm_swap_timelevel( 0 )
-    IF ( gust_module_enabled )                CALL gust_swap_timelevel( 0 )
-    IF ( land_surface )                       CALL lsm_swap_timelevel( 0 )
-    IF ( ocean_mode )                         CALL ocean_swap_timelevel( 0 )
-    CALL tcm_swap_timelevel( 0 )
-    IF ( urban_surface )                      CALL usm_swap_timelevel( 0 )
-
-    CALL cpu_log( log_point(28), 'swap_timelevel (nop)', 'stop' )
-#else
     CALL cpu_log( log_point(28), 'swap_timelevel', 'start' )
 
@@ -312,5 +270,4 @@
 
     CALL cpu_log( log_point(28), 'swap_timelevel', 'stop' )
-#endif
 
  END SUBROUTINE swap_timelevel
Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3634 2018-12-18 12:31:28Z knoop
 ! OpenACC port for SPEC
 ! 
@@ -177,14 +180,8 @@
  
 
-#if defined( __nopointer )
-    USE arrays_3d,                                                             &
-        ONLY:  diss, diss_p, dzu, e, e_p, kh, km,                              &
-               mean_inflow_profiles, prho, pt, tdiss_m, te_m, tend, u, v, vpt, w
-#else
     USE arrays_3d,                                                             &
         ONLY:  diss, diss_1, diss_2, diss_3, diss_p, dzu, e, e_1, e_2, e_3,    &
                e_p, kh, km, mean_inflow_profiles, prho, pt, tdiss_m,           &
                te_m, tend, u, v, vpt, w
-#endif
 
     USE basic_constants_and_equations_mod,                                     &
@@ -911,14 +908,8 @@
     ALLOCATE( km(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
-#if defined( __nopointer )
-    ALLOCATE( e(nzb:nzt+1,nysg:nyng,nxlg:nxrg)    )
-    ALLOCATE( e_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  )
-    ALLOCATE( te_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-
-#else
     ALLOCATE( e_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     ALLOCATE( e_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     ALLOCATE( e_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
+
 !
 !-- Allocate arrays required for dissipation. 
@@ -928,11 +919,5 @@
     IF ( rans_mode  .OR.  use_sgs_for_particles  .OR.  wang_kernel  .OR.       &
          collision_turbulence  .OR.  nested_run )  THEN
-#if defined( __nopointer )
-       ALLOCATE( diss(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-       IF ( rans_tke_e )  THEN
-          ALLOCATE( diss_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  )
-          ALLOCATE( tdiss_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-       ENDIF
-#else
+
        ALLOCATE( diss_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
        IF ( rans_tke_e  .OR.  nested_run )  THEN
@@ -940,8 +925,7 @@
           ALLOCATE( diss_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
        ENDIF
-#endif
+
     ENDIF
 
-#if ! defined( __nopointer )
 !
 !-- Initial assignment of pointers
@@ -955,5 +939,4 @@
        ENDIF
     ENDIF
-#endif
 
  END SUBROUTINE tcm_init_arrays
@@ -3731,10 +3714,7 @@
 #endif
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
+    REAL(wp)     ::  dissipation  !< TKE dissipation
+
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< temperature
-#endif
-    REAL(wp)     ::  dissipation  !< TKE dissipation
 
 
@@ -3930,10 +3910,7 @@
     REAL(wp)     ::  var_reference  !< reference temperature
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dissipation  !< dissipation of TKE
+
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var     !< temperature
-#endif
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dissipation  !< dissipation of TKE
 
 !
@@ -4161,9 +4138,6 @@
     REAL(wp)     :: var_reference   !< var at reference height
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< temperature
-#endif
+
 
     dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
@@ -4218,9 +4192,6 @@
     REAL(wp)     :: var_reference   !< var at reference height
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< temperature
-#endif
+
 
     dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
@@ -4282,9 +4253,6 @@
     REAL(wp) ::  var_reference  !< reference temperature
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< temperature
-#endif
+
 
 !
@@ -4488,9 +4456,6 @@
 #endif
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< temperature
-#else
     REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !< temperature
-#endif
+
 
 !
@@ -4942,35 +4907,7 @@
 
 
-#if defined( __nopointer )
-    INTEGER(iwp) ::  i      !< loop index x direction
-    INTEGER(iwp) ::  j      !< loop index y direction
-    INTEGER(iwp) ::  k      !< loop index z direction
-#endif
     INTEGER, INTENT(IN) ::  mod_count  !< flag defining where pointers point to
 
-#if defined( __nopointer )
-
-    IF ( .NOT. constant_diffusion )  THEN
-       DO  i = nxlg, nxrg
-          DO  j = nysg, nyng
-             DO  k = nzb, nzt+1
-                e(k,j,i) = e_p(k,j,i)
-             ENDDO
-          ENDDO
-       ENDDO
-    ENDIF
-
-    IF ( rans_tke_e )  THEN
-       DO  i = nxlg, nxrg
-          DO  j = nysg, nyng
-             DO  k = nzb, nzt+1
-                diss(k,j,i) = diss_p(k,j,i)
-             ENDDO
-          ENDDO
-       ENDDO
-    ENDIF
-
-#else
-    
+
     SELECT CASE ( mod_count )
 
@@ -4996,5 +4933,4 @@
 
     END SELECT
-#endif
 
  END SUBROUTINE tcm_swap_timelevel
